Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class CTRowColFieldInfo

    java.lang.Object
      jet.api.CTRowColFieldInfo

    public class CTRowColFieldInfo

extends java.lang.Object

A information package when a row or column field is inserted in the crosstab.

Field Summary
`static int` | `ASCENDING` Sort type values.
`static int` | `DESCENDING`
`static int` | `NOSORT`

Constructor Summary
`CTRowColFieldInfo(java.lang.String name, java.lang.String mapping, int sort, java.lang.String total)` Constructor.
`CTRowColFieldInfo(java.lang.String name, java.lang.String mapping, int sort, java.lang.String total, java.awt.Color fillColor)` Constructor.
`CTRowColFieldInfo(java.lang.String name, java.lang.String mapping, int sort, java.lang.String total, java.awt.Color fillColor, int index)` Constructor.

Method Summary
`java.lang.String` | `getBlName()` Gets the business logic node name of the row or column field
`java.awt.Color` | `getFillColor()` get the color of the row or column background
`void` | `setBlName(java.lang.String blName)` Sets the business logic node name of the row or column field
`void` | `setFillColor(java.awt.Color fillColor)` set the color of the row or column background
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ASCENDING

    public static final int ASCENDING

  Sort type values.

### DESCENDING

    public static final int DESCENDING

### NOSORT

    public static final int NOSORT

Constructor Detail

### CTRowColFieldInfo

    public CTRowColFieldInfo(java.lang.String name,
                             java.lang.String mapping,
                             int sort,
                             java.lang.String total)

  Constructor. Create a crosstab row or column filed information.

  Parameters:
    `name` - the object name of the row or column field.
    `mapping` - the mapping name of the database field or formula.
    `sort` - its value must be one of the sort type values that has been defined in this class.
    `total` - the object name of the row or column total field.

### CTRowColFieldInfo

    public CTRowColFieldInfo(java.lang.String name,
                             java.lang.String mapping,
                             int sort,
                             java.lang.String total,
                             java.awt.Color fillColor)

  Constructor. Create a crosstab row or column filed information.

  Parameters:
    `name` - the object name of the row or column field.
    `mapping` - the mapping name of the database field or formula.
    `sort` - its value must be one of the sort type values that has been defined in this class.
    `total` - the object name of the row or column total field.
    `fillColor` - the color of the row or column background.

### CTRowColFieldInfo

    public CTRowColFieldInfo(java.lang.String name,
                             java.lang.String mapping,
                             int sort,
                             java.lang.String total,
                             java.awt.Color fillColor,
                             int index)

  Constructor. Create a crosstab row or column filed information.

  Parameters:
    `name` - the object name of the row or column field.
    `mapping` - the mapping name of the database field or formula.
    `sort` - its value must be one of the sort type values that has been defined in this class.
    `total` - the object name of the row or column total field.
    `fillColor` - the color of the row or column background.
    `index` - the position of row or column in the crosstab.

Method Detail

### setFillColor

    public void setFillColor(java.awt.Color fillColor)

  set the color of the row or column background

  Parameters:
    `fillColor` - the color of the row or column background.

### getFillColor

    public java.awt.Color getFillColor()

  get the color of the row or column background

  Returns:
    the color of the row or column background.

### setBlName

    public void setBlName(java.lang.String blName)

  Sets the business logic node name of the row or column field

  Parameters:
    `blName` - the business logic node name of the row or column field.

### getBlName

    public java.lang.String getBlName()

  Gets the business logic node name of the row or column field

  Returns:
    the business logic node name of the row or column field.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD